Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
value_ptr< T > Class Template Reference
Inheritance diagram for value_ptr< T >:

List of all members.

## Public Member Functions

| value_ptr (const T &obj)
| value_ptr (T *p=NULL)
| value_ptr (const value_ptr< T > &rhs)
value_ptr< T > & | operator= (const value_ptr< T > &rhs)
bool | operator== (const value_ptr< T > &rhs)
const T & | operator* () const
T & | operator* ()
const T * | operator-> () const
T * | operator-> ()
const T * | get () const
T * | get ()
T * | release ()
void | reset (T *p=0)

## Protected Attributes

T * | m_p

## Detailed Description

### template<class T>
class value_ptr< T >

Definition at line 54 of file smartptr.h.

The documentation for this class was generated from the following file:

- smartptr.h